## oxygen 6.5.5+p24.04+vunstable+git20260204.0107

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.25)
project(oxygen)
set(PROJECT_VERSION "6.6.80")
set(PROJECT_VERSION_MAJOR 6)

include(GenerateExportHeader)
include(WriteBasicConfigVersionFile)
include(FeatureSummary)

################# Qt/KDE #################
set(PROJECT_DEP_VERSION "6.5.90")
set(QT5_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.102.0")
set(QT_MIN_VERSION "6.10.0")
set(KF6_MIN_VERSION "6.22.0")

set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

set(QT_NO_CREATE_VERSIONLESS_TARGETS ON)
set(QT_NO_CREATE_VERSIONLESS_FUNCTIONS ON)

option(BUILD_QT5 "Build Qt5 style" ON)
option(BUILD_QT6 "Build with Qt6" ON)

# For KDE CI only. As the current infrastructure doesn't allow us to set CMAKE options per build variant
if($ENV{CI_JOB_NAME_SLUG} MATCHES "qt5")
    set(BUILD_QT5 ON)
    set(BUILD_QT6 OFF)
elseif($ENV{CI_JOB_NAME_SLUG} MATCHES "qt6")
    set(BUILD_QT5 OFF)
    set(BUILD_QT6 ON)
endif()

include(ECMInstallIcons)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

find_package(XCB COMPONENTS XCB)
set_package_properties(XCB PROPERTIES
    DESCRIPTION "X protocol C-language Binding"
    URL "http://xcb.freedesktop.org"
    TYPE OPTIONAL
    PURPOSE "Required to pass style properties to native Windows on X11 Platform"
)

if(NOT APPLE)
    set(OXYGEN_HAVE_X11 ${XCB_XCB_FOUND})
endif()

if(BUILD_QT5)
block(SCOPE_FOR VARIABLES)
    set(QT_MAJOR_VERSION 5)
    unset(QUERY_EXECUTABLE CACHE)

    include(KDEInstallDirs5)
    include (KDECMakeSettings)

    find_package(Qt5 ${QT5_MIN_VERSION} REQUIRED CONFIG COMPONENTS Widgets DBus Quick)
    find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    Config
    CoreAddons
    GuiAddons
    WidgetsAddons
    Service
    Completion
    FrameworkIntegration
    WindowSystem)

    if(OXYGEN_HAVE_X11)
        find_package(Qt5X11Extras ${QT5_MIN_VERSION} REQUIRED CONFIG)
    endif()


    add_subdirectory(liboxygen liboxygen5)
    add_subdirectory(kstyle kstyle5)
endblock()
endif()

if(BUILD_QT6)
block(SCOPE_FOR VARIABLES)
    set(QT_MAJOR_VERSION 6)
    unset(QUERY_EXECUTABLE CACHE)

    include(KDEInstallDirs6)
    include (KDECMakeSettings)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED CONFIG COMPONENTS Widgets DBus Quick)

    if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
        find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
    endif()

    find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    Config
    CoreAddons
    GuiAddons
    KCMUtils
    WidgetsAddons
    Service
    Completion
    FrameworkIntegration
    WindowSystem)
    find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)

    # https://bugreports.qt.io/browse/QTBUG-114706
    add_library(Qt::Core ALIAS Qt6::Core)
    add_library(Qt::Gui ALIAS Qt6::Gui)
    add_library(Qt::OpenGL ALIAS Qt6::OpenGL)
    add_library(Qt::Network ALIAS Qt6::Network)
    if(Qt6_VERSION_MINOR GREATER 6)
        add_library(Qt::PlatformModuleInternal ALIAS Qt6::PlatformModuleInternal)
    endif()

    add_subdirectory(liboxygen liboxygen6)
    add_subdirectory(kstyle kstyle6)

    add_subdirectory(color-schemes)
    add_subdirectory(cursors)
    add_subdirectory(desktoptheme)
    add_subdirectory(kdecoration)

    plasma_install_package(lookandfeel org.kde.oxygen look-and-feel lookandfeel)

    ki18n_install(po)
endblock()
endif()

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== desktoptheme/CMakeLists.txt ===

option(GZIP_DESKTOPTHEME_SVG "Install Desktop Theme SVG files as .svgz." ON)

if (GZIP_DESKTOPTHEME_SVG)
    if(WIN32)
        find_package(7z)
        set_package_properties(7z PROPERTIES
            TYPE REQUIRED
        )
    else()
        find_package(gzip)
        set_package_properties(gzip PROPERTIES
            TYPE REQUIRED
        )
    endif()
endif()

# Helper function, private for now
# Once it has matured and proven, add to public macros
function(PLASMA_INSTALL_DESKTOPTHEME_SVGS theme_name)
    set(options
    )
    set(oneValueArgs
        SUBPATH
    )
    set(multiValueArgs
        FILES
    )

    cmake_parse_arguments(PIDS "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})

    if(NOT DEFINED PIDS_SUBPATH)
        message(FATAL_ERROR "SUBPATH needs to be defined when calling plasma_install_desktoptheme_svgs.")
    endif()

    if(NOT PIDS_FILES)
        message(FATAL_ERROR "No files passed when calling plasma_install_desktoptheme_svgs.")
    endif()

    set(_target_name "${theme_name}_desktoptheme_graphics_${PIDS_SUBPATH}")
    string(REPLACE "/" "_" _target_name "${_target_name}")

    set(desktoptheme_COMPONENTDIR "${theme_name}/${PIDS_SUBPATH}")
    set(desktoptheme_INSTALLDIR ${PLASMA_DATA_INSTALL_DIR}/desktoptheme/${desktoptheme_COMPONENTDIR})

    if (GZIP_DESKTOPTHEME_SVG)
        set(desktoptheme_GZIPDIR "${theme_name}.gzipped/${PIDS_SUBPATH}")
        file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/${desktoptheme_GZIPDIR}")
    endif()

    set(_install_files)

    foreach(_src_file ${PIDS_FILES})
        if (NOT IS_ABSOLUTE ${_src_file})
            set(_src_file "${CMAKE_CURRENT_SOURCE_DIR}/${_src_file}")
        endif()
        if (NOT EXISTS ${_src_file})
            message(FATAL_ERROR "No such file found: ${_src_file}")
        endif()
        get_filename_component(_fileName "${_src_file}" NAME)

        if (GZIP_DESKTOPTHEME_SVG)
            set(_gzipped_file_displayname "${desktoptheme_COMPONENTDIR}/${_fileName}z")
            set(_gzipped_file "${CMAKE_CURRENT_BINARY_DIR}/${desktoptheme_GZIPDIR}/${_fileName}z")
            if(WIN32)
                add_custom_command(
                    OUTPUT ${_gzipped_file}
                    COMMAND 7z::7z
                    ARGS
                        a
                        -tgzip
                        ${_gzipped_file} ${_src_file}
                    DEPENDS ${_src_file}
                    COMMENT "Gzipping ${_gzipped_file_displayname}"
                )
            else()
                add_custom_command(
                    OUTPUT ${_gzipped_file}
                    COMMAND gzip::gzip
                    ARGS
                        -9 # compress best
                        -n # no original name and timestamp stored, for reproducibility
                        -c # write to stdout
                        ${_src_file} > ${_gzipped_file}
                    DEPENDS ${_src_file}
                    COMMENT "Gzipping ${_gzipped_file_displayname}"
                )
            endif()
        else()
            set(_gzipped_file "${_src_file}")
        endif()

        list(APPEND _install_files "${_gzipped_file}")
    endforeach()

    add_custom_target(${_target_name} ALL DEPENDS ${_install_files})

    install(FILES ${_install_files} DESTINATION "${desktoptheme_INSTALLDIR}" )
endfunction()


add_subdirectory( oxygen )
add_subdirectory( air )

=== desktoptheme/air/CMakeLists.txt ===
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/metadata.json.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/metadata.json"
    @ONLY
)

install(
    FILES colors "${CMAKE_CURRENT_BINARY_DIR}/metadata.json"
          plasmarc
    DESTINATION ${PLASMA_DATA_INSTALL_DIR}/desktoptheme/air
)

FILE(GLOB widgets widgets/*.svg)
plasma_install_desktoptheme_svgs(air SUBPATH widgets FILES ${widgets})

FILE(GLOB dialogs dialogs/*.svg)
plasma_install_desktoptheme_svgs(air SUBPATH dialogs FILES ${dialogs})

FILE(GLOB opaque_dialogs opaque/dialogs/*.svg)
plasma_install_desktoptheme_svgs(air SUBPATH opaque/dialogs FILES ${opaque_dialogs})

FILE(GLOB opaque_widgets opaque/widgets/*.svg)
plasma_install_desktoptheme_svgs(air SUBPATH opaque/widgets FILES ${opaque_widgets})

FILE(GLOB translucent_widgets translucent/widgets/*.svg)
plasma_install_desktoptheme_svgs(air SUBPATH translucent/widgets FILES ${translucent_widgets})

FILE(GLOB translucent_dialogs translucent/dialogs/*.svg)
plasma_install_desktoptheme_svgs(air SUBPATH translucent/dialogs FILES ${translucent_dialogs})

FILE(GLOB solid_widgets solid/widgets/*.svg)
plasma_install_desktoptheme_svgs(air SUBPATH solid/widgets FILES ${solid_widgets})

FILE(GLOB icons icons/*.svg)
plasma_install_desktoptheme_svgs(air SUBPATH icons FILES ${icons})

=== desktoptheme/oxygen/CMakeLists.txt ===
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/metadata.json.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/metadata.json"
    @ONLY
)

install(
    FILES colors "${CMAKE_CURRENT_BINARY_DIR}/metadata.json"
          plasmarc
    DESTINATION ${PLASMA_DATA_INSTALL_DIR}/desktoptheme/oxygen
)

FILE(GLOB widgets widgets/*.svg)
plasma_install_desktoptheme_svgs(oxygen SUBPATH widgets FILES ${widgets})

FILE(GLOB dialogs dialogs/*.svg)
plasma_install_desktoptheme_svgs(oxygen SUBPATH dialogs FILES ${dialogs})

FILE(GLOB opaque opaque/widgets/*.svg)
plasma_install_desktoptheme_svgs(oxygen SUBPATH opaque/widgets FILES ${opaque})

FILE(GLOB opaque opaque/dialogs/*.svg)
plasma_install_desktoptheme_svgs(oxygen SUBPATH opaque/dialogs FILES ${opaque})

FILE(GLOB solid_widgets solid/widgets/*.svg)
plasma_install_desktoptheme_svgs(oxygen SUBPATH solid/widgets FILES ${solid_widgets})

=== debian/changelog ===
oxygen (4:6.5.5+p24.04+vunstable+git20260204.0107-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 01:07:57 +0000

=== debian/control ===
Source: oxygen
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-frameworkintegration-dev,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kirigami-dev,
               kf6-kservice-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kwayland-dev,
               kwayland5-dev,
               libkdecorations3-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5kcmutils-dev,
               libkf5service-dev,
               libkf5style-dev,
               libkf5wayland-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libplasma-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxcb1-dev,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qtbase5-dev,
               qtdeclarative5-dev
Standards-Version: 4.6.2
Homepage: https://https://invent.kde.org/plasma/oxygen/
Vcs-Git: https://invent.kde.org/neon/kde/oxygen.git
Vcs-Browser: https://invent.kde.org/neon/kde/oxygen
Maintainer: Neon CI <neon@kde.org>

Package: oxygen
Architecture: any
Depends: plasma-theme-oxygen (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Oxygen meta-package
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the meta settings for the Oxygen theme.

Package: plasma-theme-oxygen
Architecture: any
Depends: kde-style-oxygen (= ${binary:Version}),
         kde-style-oxygen-qt5 (= ${binary:Version}),
         kwin-decoration-oxygen (= ${binary:Version}),
         oxygen-cursor-theme,
         oxygen-sounds,
         qml-module-qtquick2,
         qml6-module-qtquick,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Look-and-feel for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the meta settings for the Oxygen theme.

Package: kde-style-oxygen
Architecture: any
Depends: liboxygenstyle6 (= ${binary:Version}),
         liboxygenstyleconfig6 (= ${binary:Version}),
         oxygen (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kde-style-oxygen-qt5 (<< 4:5.91.90), kde-style-oxygen-qt6
Replaces: kde-style-oxygen-qt5 (<< 4:5.91.90), kde-style-oxygen-qt6
Description: Qt decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the Qt 6 widget theme.

Package: kwin-decoration-oxygen
Architecture: any
Depends: plasma-theme-oxygen, ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-decoration-oxygen6
Replaces: kwin-decoration-oxygen6
Description: KWin decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the KWin decoration and settings modules.

Package: oxygen-cursor-theme
Architecture: all
Depends: plasma-theme-oxygen, ${misc:Depends}, ${shlibs:Depends}
Description: Default Plasma cursor theme.
 These are the Oxygen cursor themes for the KDE Plasma 6 desktop.
 .
 This package is part of the Oxygen theme module.

Package: liboxygenstyle6
Architecture: any
Section: libs
Depends: kde-style-oxygen (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kde-style-oxygen-qt5 (<< 4:5.91.90)
Replaces: kde-style-oxygen-qt5 (<< 4:5.91.90)
Description: style library for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used by the widget theme
 and KWin style.

Package: liboxygenstyleconfig6
Architecture: any
Section: libs
Depends: kde-style-oxygen (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: liboxygenstyleconfig5-5 (<< 4:5.91.90)
Replaces: liboxygenstyleconfig5-5 (<< 4:5.91.90)
Description: style library configuration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used to configure the widget theme
 and KWin style.

Package: kde-style-oxygen-qt5
Architecture: any
Depends: liboxygenstyle5-5,
         liboxygenstyleconfig5-5,
         oxygen (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the Qt 5 widget theme.

Package: liboxygenstyle5
Architecture: any
Section: libs
Depends: kde-style-oxygen-qt5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: style library for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used by the widget theme
 and KWin style.

Package: liboxygenstyle5-5
Architecture: all
Depends: kde-style-oxygen-qt5, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: liboxygenstyleconfig5
Architecture: any
Section: libs
Depends: kde-style-oxygen-qt5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: style library configuration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used to configure the widget theme
 and KWin style.

Package: liboxygenstyleconfig5-5
Architecture: all
Depends: kde-style-oxygen-qt5, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## oxygen 6.6.1

=== debian/changelog ===
oxygen (4:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:14:53 +0000

=== debian/control ===
Source: oxygen
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.25~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.22.0~),
               gettext,
               libkdecorations3-dev (>= 4:6.6.1~),
               libkf5completion-dev (>= 5.102.0~),
               libkf5config-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5guiaddons-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5service-dev (>= 5.102.0~),
               libkf5style-dev (>= 5.102.0~),
               libkf5widgetsaddons-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libkf6completion-dev (>= 6.22.0~),
               libkf6config-dev (>= 6.22.0~),
               libkf6configwidgets-dev (>= 6.22.0~),
               libkf6coreaddons-dev (>= 6.22.0~),
               libkf6guiaddons-dev (>= 6.22.0~),
               libkf6i18n-dev (>= 6.22.0~),
               libkf6kcmutils-dev (>= 6.22.0~),
               libkf6service-dev (>= 6.22.0~),
               libkf6style-dev (>= 6.22.0~),
               libkf6widgetsaddons-dev (>= 6.22.0~),
               libkf6windowsystem-dev (>= 6.22.0~),
               libplasma-dev (>= 6.6.1~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libx11-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.10.0~),
               qt6-base-private-dev (>= 6.10.0+dfsg~),
               qt6-declarative-dev (>= 6.10.0~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/oxygen
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
Rules-Requires-Root: no

Package: kde-style-oxygen-qt5
Architecture: any
Breaks: plasma-desktop-data (<< 4:5.20),
Replaces: plasma-desktop-data (<< 4:5.20),
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 5 decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the Qt 5 widget theme.

Package: kde-style-oxygen-qt6
Architecture: any
Breaks: kde-style-oxygen-qt5 (<< 4:6.1.0~), plasma-desktop-data (<< 4:5.20),
Replaces: kde-style-oxygen-qt5 (<< 4:6.1.0~), plasma-desktop-data (<< 4:5.20),
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the Qt 6 widget theme.

Package: kwin-decoration-oxygen
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: libkf6kcmutils-bin,
Multi-Arch: same
Description: KWin decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the KWin decoration and settings modules.

Package: liboxygenstyle5-6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: style library for the Oxygen desktop theme (Qt 5)
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used by the widget theme
 and KWin style.

Package: liboxygenstyle6-6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: style library for the Oxygen desktop theme (Qt 6)
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used by the widget theme
 and KWin style.

Package: liboxygenstyleconfig5-6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: liboxygenstyleconfig5-5,
Replaces: liboxygenstyleconfig5-5,
Multi-Arch: same
Description: style library configuration for the Oxygen desktop theme (Qt 5)
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used to configure the widget theme
 and KWin style.

Package: liboxygenstyleconfig6-6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: style library configuration for the Oxygen desktop theme (Qt 6)
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used to configure the widget theme
 and KWin style.

Package: plasma-theme-oxygen
Architecture: any
Depends: kde-style-oxygen-qt6 (= ${binary:Version}),
         kwin-decoration-oxygen (= ${binary:Version}),
         oxygen-sounds,
         qml6-module-qtquick,
         ${misc:Depends},
Breaks: plasma-desktoptheme (<< 6.1.90~),
Replaces: plasma-desktoptheme (<< 6.1.90~),
Description: Look-and-feel for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the meta settings for the Oxygen theme.

## oxygen 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.25)
 project(oxygen)
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.2")
 set(PROJECT_VERSION_MAJOR 6)
 
 include(GenerateExportHeader)
@@ -8,7 +8,7 @@
 include(FeatureSummary)
 
 ################# Qt/KDE #################
-set(PROJECT_DEP_VERSION "6.5.90")
+set(PROJECT_DEP_VERSION "6.6.2")
 set(QT5_MIN_VERSION "5.15.2")
 set(KF5_MIN_VERSION "5.102.0")
 set(QT_MIN_VERSION "6.10.0")

=== debian/changelog ===
oxygen (4:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:23:27 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-pkgkde-symbolshelper,
                extra-cmake-modules (>= 6.22.0~),
                gettext,
-               libkdecorations3-dev (>= 4:6.6.1~),
+               libkdecorations3-dev (>= 4:6.6.2~),
                libkf5completion-dev (>= 5.102.0~),
                libkf5config-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
@@ -32,7 +32,7 @@
                libkf6style-dev (>= 6.22.0~),
                libkf6widgetsaddons-dev (>= 6.22.0~),
                libkf6windowsystem-dev (>= 6.22.0~),
-               libplasma-dev (>= 6.6.1~),
+               libplasma-dev (>= 6.6.2~),
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
                libxcb1-dev,
